:root {
 --fs--3: clamp(0.512rem, 0.6338rem + -0.497vw, 0.6333rem);
 --fs--2: clamp(0.64rem, 0.845rem + -0.8366vw, 0.8442rem);
 --fs--1: clamp(0.8rem, 1.1266rem + -1.3329vw, 1.1253rem);
 --fs-0: clamp(1rem, 1.502rem + -2.0488vw, 1.5rem);
 --fs-1: clamp(1.25rem, 2.0024rem + -3.0712vw, 1.9995rem);
 --fs-2: clamp(1.5625rem, 2.6697rem + -4.5191vw, 2.6653rem);
 --fs-3: clamp(1.9531rem, 3.5592rem + -6.5553vw, 3.5529rem);
 --fs-4: clamp(2.4414rem, 4.745rem + -9.4025vw, 4.736rem);
 --fs-5: clamp(3.0518rem, 6.3259rem + -13.3639vw, 6.3131rem);
 --fs-6: clamp(3.8147rem, 8.4334rem + -18.852vw, 8.4153rem);
 --fs-7: clamp(4.7684rem, 11.243rem + -26.4272vw, 11.2177rem);
 --fs-8: clamp(5.9605rem, 14.9885rem + -36.8492vw, 14.9531rem);
 --fs-9: clamp(7.4506rem, 19.9816rem + -51.1472vw, 19.9325rem);
 --fs-10: clamp(9.3132rem, 26.638rem + -70.7132vw, 26.5701rem);

 
 /* Space */
 --space-3xs: clamp(0.25rem, 0.3755rem + -0.5122vw, 0.375rem);
 --space-2xs: clamp(0.5rem, 0.751rem + -1.0244vw, 0.75rem);
 --space-xs: clamp(0.75rem, 1.1265rem + -1.5366vw, 1.125rem);
 --space-s: clamp(1rem, 1.502rem + -2.0488vw, 1.5rem);
 --space-m: clamp(1.5rem, 2.253rem + -3.0733vw, 2.25rem);
 --space-l: clamp(2rem, 3.0039rem + -4.0977vw, 3rem);
 --space-xl: clamp(3rem, 4.5059rem + -6.1465vw, 4.5rem);
 --space-2xl: clamp(4rem, 6.0079rem + -8.1954vw, 6rem);
 --space-3xl: clamp(6rem, 9.0118rem + -12.2931vw, 9rem);

 /* One-up pairs */
 --space-3xs-2xs: clamp(0.25rem, 0.752rem + -2.0488vw, 0.75rem);
 --space-2xs-xs: clamp(0.5rem, 1.1275rem + -2.5611vw, 1.125rem);
 --space-xs-s: clamp(0.75rem, 1.503rem + -3.0733vw, 1.5rem);
 --space-s-m: clamp(1rem, 2.2549rem + -5.1221vw, 2.25rem);
 --space-m-l: clamp(1.5rem, 3.0059rem + -6.1465vw, 3rem);
 --space-l-xl: clamp(2rem, 4.5098rem + -10.2442vw, 4.5rem);
 --space-xl-2xl: clamp(3rem, 6.0118rem + -12.2931vw, 6rem);
 --space-2xl-3xl: clamp(4rem, 9.0197rem + -20.4884vw, 9rem);

 /* Custom pairs */
 --space-2xs-s: clamp(0.5rem, 1.5039rem + -4.0977vw, 1.5rem);
 --space-xs-s: clamp(0.75rem, 1.503rem + -3.0733vw, 1.5rem);
 --space-xs-m: clamp(0.75rem, 2.2559rem + -6.1465vw, 2.25rem);
 --space-s-l: clamp(1rem, 3.0079rem + -8.1954vw, 3rem);
 --space-m-xl: clamp(1.5rem, 4.5118rem + -12.2931vw, 4.5rem);

 /* Grid */
 /* --grid-max-width: 93rem; */
 --grid-max-width: 100%;
 --grid-gutter: var(--space-s-l, clamp(1rem, 0.2847rem + 2.9197vw, 3rem));
 --grid-columns: 12;
 --site-margin: var(--grid-gutter);
 --panel-radius: var(--space-s-l);
 
 --font-system: Inter, Roboto, "Helvetica Neue", "Arial Nova", "Nimbus Sans",
 Arial, sans-serif;
 --font-heading: "neue-haas-grotesk-display", Inter, Roboto, "Helvetica Neue",
 "Arial Nova", "Nimbus Sans", Arial, sans-serif;
 
 --font-body: "neue-haas-grotesk-display", var(--font-system);
 --font-pixel: "JetBrains Mono", monospace, var(--font-system);
}

/* * {
 border:1px solid red;
} */

.font-pixel {
 font-family: var(--font-pixel);
}

body {
 margin: 0;
 font-family: var(--font-body);
 background: #fff;
}

.timeline {
 position: relative;
}

/* * {
 border: 1px solid red;
} */

.year-number {
 margin: 0;
 padding: 0;
 font-family: var(--font-pixel);
 line-height: 1;
 text-box-trim: trim-both;
}

.digit {
 display: inline-block;
 overflow: hidden;
 /* text-box-edge: cap alphabetic; */
 

 line-height: 90%;
 width: 0.875ch;
 position: relative;
 /* backdrop-filter: blur(1rem); */
}

.year-section {
 min-height: 100vh;
 display: flex;
 align-items: center;
 justify-content: center;
 /* border-top: 1px solid #eee; */
}

.content {
 max-width: 400px;
 padding: 1rem;
 font-size: 1.5rem;
 transform: scale(0.95);
 opacity: 0;
}

.mute-button {
 position: fixed;
 bottom: 1.5rem;
 right: 1.5rem;
 background: black;
 color: white;
 border: none;
 font-size: 1.5rem;
 padding: 0.75rem 1rem;
 border-radius: 999px;
 cursor: pointer;
 z-index: 1000;
 transition: all 0.3s ease;
 background: rgba(255, 255, 255, 0.4);
 backdrop-filter: blur(1rem);
}
.mute-button:hover {
 background: #fff;
 transform: scale(1.05);
}

/* .mute-button::before {
 content: "🔇"; 
}
.mute-button:not(.muted)::before {
 content: "🔈";
} */
